# Uses of Class
org.apache.wiki.htmltowiki.XHtmlToWikiConfig

Packages that use XHtmlToWikiConfig
Package
Description
org.apache.wiki.htmltowiki
HTML to wiki syntax translation related classes.
org.apache.wiki.htmltowiki.syntax
Package Specification
org.apache.wiki.htmltowiki.syntax.jspwiki
JSPWiki syntax decoration related classes.

## Uses of XHtmlToWikiConfig in org.apache.wiki.htmltowiki

Methods in org.apache.wiki.htmltowiki with parameters of type XHtmlToWikiConfig
Modifier and Type
Method
Description
`void`
SyntaxDecorator.`init(PrintWriter out, Deque<String> liStack, Deque<String> preStack, WhitespaceTrimWriter outTrimmer, XHtmlToWikiConfig config, XHtmlElementToWikiTranslator chain)`
Prepares the syntax decorator.
`String`
HtmlStringToWikiTranslator.`translate(String html, XHtmlToWikiConfig config)`
Translates text from HTML into WikiMarkup using a specified configuration.
Constructors in org.apache.wiki.htmltowiki with parameters of type XHtmlToWikiConfig
Modifier
Constructor
Description
``
`XHtmlElementToWikiTranslator(org.apache.wiki.api.core.Engine e, org.jdom2.Element base, XHtmlToWikiConfig config)`
Create a new translator using the specified config.

## Uses of XHtmlToWikiConfig in org.apache.wiki.htmltowiki.syntax

Fields in org.apache.wiki.htmltowiki.syntax declared as XHtmlToWikiConfig
Modifier and Type
Field
Description
`protected final XHtmlToWikiConfig`
ADecorator.`config`
`protected final XHtmlToWikiConfig`
ImageDecorator.`config`
`protected XHtmlToWikiConfig`
WikiSyntaxDecorator.`config`
Constructors in org.apache.wiki.htmltowiki.syntax with parameters of type XHtmlToWikiConfig
Modifier
Constructor
Description
`protected`
`ADecorator(PrintWriter out, XHtmlToWikiConfig config, XHtmlElementToWikiTranslator chain)`
`protected`
`ImageDecorator(PrintWriter out, XHtmlToWikiConfig config)`

## Uses of XHtmlToWikiConfig in org.apache.wiki.htmltowiki.syntax.jspwiki

Methods in org.apache.wiki.htmltowiki.syntax.jspwiki with parameters of type XHtmlToWikiConfig
Modifier and Type
Method
Description
`void`
JSPWikiSyntaxDecorator.`init(PrintWriter out, Deque<String> liStack, Deque<String> preStack, WhitespaceTrimWriter outTrimmer, XHtmlToWikiConfig config, XHtmlElementToWikiTranslator chain)`
Prepares the syntax decorator.